/api/v1/components (GET)
GET
/api/v1/components
const url = 'https://api.endless.zaia.app/api/v1/components?pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/components?pageNumber=1&pageSize=10'Retrieves multiple components.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”ids
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
pageNumber
The page number.
number
The page number.
pageSize
The page size.
number
The page size.
search
Search term to filter components by key.
string
Search term to filter components by key.
versionIds
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
Responses
Seção intitulada “Responses”Retrieves all components for the workspace.
Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
isRemoved
required
boolean
referenceId
required
The ID of the original entity in production.
string format: uuid
updatedAt
required
string format: date-time
versionId
required
A UUID v4 string that identifies an entity.
string format: uuid
detail
required
key
required
The unique key identifier for this component within the workspace.
string
workspaceId
required
The workspace that owns this component.
string format: uuid
Example
[ { "detail": { "type": "boolean" } }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}